using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using Howest.Guidance.Extensions.Common.Data;

namespace Howest.Guidance.Extensions.Common.Configuration
{
	public class ExtensionsSectionGroup : ConfigurationSectionGroup
	{
		public static ExtensionsSectionGroup GetSectionGroup(System.Configuration.Configuration config)
		{
			if (config == null)
				throw new ArgumentNullException("config");
			return (ExtensionsSectionGroup)config.GetSectionGroup("howest.guidance.extensions");
		}

		public DataProvidersSection DataProviders
		{
			get { return (DataProvidersSection)this.Sections["dataProviders"]; }
		}
	}
}